export const formatSubtitles = (subtitles) => {
  if (!subtitles || subtitles.length == 0) {
    return new Map();
  }

  let map = new Map();
  subtitles.forEach((subtitle) => {
    subtitle = formatSubtitle(subtitle);
    map.set(subtitle.lang, subtitle);
  });

  return map;
};

export const formatSubtitle = (subtitle) => {
  if (!subtitle) {
    return undefined;
  }

  subtitle.searching = false;
  return subtitle;
};
